package com.qmth.teachcloud.mark.service;

import java.util.List;
import java.util.Set;

import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.teachcloud.mark.bean.archivescore.QuestionVo;
import com.qmth.teachcloud.mark.entity.MarkSubjectiveScore;

/**
 * <p>
 * 主观题得分明细表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkSubjectiveScoreService extends IMppService<MarkSubjectiveScore> {

    List<MarkSubjectiveScore> listByStudentIdAndGroupNumber(Long studentId, Integer groupNumber);

    Set<Integer> listMainNumberByStudentIdAndUncalculate(Long studentId, boolean uncalculate);

    List<MarkSubjectiveScore> listByStudentIdAndUncalculate(Long studentId, boolean uncalculate);

    void deleteByStudentId(Long studentId);

    void deleteByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);

	List<QuestionVo> getSubjectiveVo(List<Long> studentIds);
	
	  List<MarkSubjectiveScore> listByStudentId(Long studentId);
}
